package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.Nid;
import com.brilliance.isc.vo.lg.InfnidQueryConditionVo;
import com.brilliance.isc.vo.lg.InfnidVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface NidMapper {

    int insert(Nid record);

    int insertSelective(Nid record);

    int updateByPrimaryKeySelective(Nid record);

    int updateByPrimaryKey(Nid record);


    int updateFlwstaByinr(@Param("flwsta") String flwsta,@Param("inr") String inr);
    int updateAmestaByinr(@Param("amesta") String amesta,@Param("inr") String inr);
    int updateOpnstaByinr(@Param("opnsta") String opnsta,@Param("inr") String inr);
    int deleteByPrimaryKey(Nid record);

    int deleteByIds(Collection<Object> collection);

    Nid selectByPrimaryKey(Nid record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Nid> dyncRead(Map<String, Object> dyncMap);

    int selectSeqname_LG3500();

    List<InfnidVo> queryNidInfo(InfnidQueryConditionVo conditionInfoVo);

    List<Nid> queryNidDynamic(@Param("property") String property, @Param("value") String value);

    String queryOwnrefByInr(@Param("inr") String inr);

    Nid selectOneByOwnRef(@Param("ownRef") String ownRef);

    Nid selectOneByVo(@Param("vo") Nid vo);

    Nid selectByAnyRef(@Param("objtyp") String objtyp,@Param("ref") String ref,@Param("rol") String rol);

    Nid selectByInr(@Param("inr") String inr);

    Cbb getCbbAmtByOwnref(@Param("ownref") String ownref);

    String selectByNcdOwnref(@Param("ownref") String ownref);

    List<String> queryOwnrefByOwnusr(@Param("ownusr") String ownusr);

    int updateOriginalDataStatus(@Param("targetOwnref") String targetOwnref,@Param("originalOwnref") String originalOwnref);

}